Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163346 - Bpath python bindings cause crash on x86_64
Summary: Bpath python bindings cause crash on x86_64
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-python2
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John (J5) Palmieri
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-15 12:36 UTC by Pekka Pietikäinen
Modified: 2013-03-13 04:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-20 13:15:57 UTC


Attachments (Terms of Use)
Patch to let gnome-python-2.10.0 compile with gnome-canvas-2.11.1 (deleted)
2005-07-15 13:28 UTC, Pekka Pietikäinen
no flags Details | Diff

Description Pekka Pietikäinen 2005-07-15 12:36:18 UTC
Description of problem:

The following script segfaults on x86_64 (i386 is fine):

ee-cn0001 (pp):~ >more crash.py 
import gnomecanvas
bp=gnomecanvas.path_def_new([(gnomecanvas.MOVETO,0,0),(gnomecanvas.CURVETO,1,2,3,4,5,6),(0,0,0)])
bp=gnomecanvas.path_def_new([(gnomecanvas.MOVETO,0,0),(gnomecanvas.CURVETO,1,2,3,4,5,6),(0,0,0)])
bp=gnomecanvas.path_def_new([(gnomecanvas.MOVETO,0,0),(gnomecanvas.CURVETO,1,2,3,4,5,6),(0,0,0)])

ee-cn0001 (pp):~ >python crash.py 
zsh: segmentation fault  python crash.py

This (and a much more complex app I'm using those beziers in) gets fixed by
libgnomecanvas 2.11.1, the python bindings might need to get recompiled as well
to use the new interface that doesn't suffer from this problem.

Rawhide is fine, btw. So this is really a RFE: please update
gnomecanvas/pygtk2/gnome-python2 in future FC4 errata  :-)

Comment 1 Pekka Pietikäinen 2005-07-15 13:27:43 UTC
Correction, rawhide has the bug too, I just had a non-rpmified version around
with the bugfix installed. But in any case libgnomecanvas 2.11.1 + gnome-python
2.10.0  fixes the bug, in fact g-p won't even recompile in rawhide without a
tiny patch d (attached). g-p 2.11.3 works out-of-the-box, but introduces quite a
few new dependancies. Not a problem for rawhide, sure.



Comment 2 Pekka Pietikäinen 2005-07-15 13:28:48 UTC
Created attachment 116796 [details]
Patch to let gnome-python-2.10.0 compile with gnome-canvas-2.11.1

Comment 3 Pekka Pietikäinen 2006-02-20 13:15:57 UTC
Well. Rawhide has had thing bug fixed for quite some time -> closing.


Note You need to log in before you can comment on or make changes to this bug.